.main-container .vision .icon_global {
  -webkit-animation: spin 4s linear infinite;
  -moz-animation: spin 4s linear infinite;
  animation: spin 4s linear infinite;
}

.main-container .vision .icon_ampersand {
  -webkit-animation: flip 4s linear infinite;
  -moz-animation: flip 4s linear infinite;
  animation: flip 4s linear infinite;
}

.main-container .network .icon_network {
  -webkit-animation: spin 4s linear infinite;
  -moz-animation: spin 4s linear infinite;
  animation: spin 4s linear infinite;
}

.mouse .mouse-inner.active {
  -webkit-animation: line 1s linear infinite;
  -moz-animation: line 1s linear infinite;
  animation: line 1s linear infinite;
}

.vision-content .icon_mission {
  -webkit-animation: spin 4s linear infinite;
  -moz-animation: spin 4s linear infinite;
  animation: spin 4s linear infinite;
}
.vision-content .icon_vision {
  -webkit-animation: growing 1.5s linear infinite;
  -moz-animation: growing 1.5s linear infinite;
  animation: growing 1.5s linear infinite;
}
.vision-content .icon_core_left {
  -webkit-animation: slideLeft 2s linear infinite;
  -moz-animation: slideLeft 2s linear infinite;
  animation: slideLeft 2s linear infinite;
}
.vision-content .icon_core_right {
  -webkit-animation: slideRight 2s linear infinite;
  -moz-animation: slideRight 2s linear infinite;
  animation: slideRight 2s linear infinite;
}

@-moz-keyframes spin {
  100% {
    -moz-transform: rotate(360deg);
  }
}
@-webkit-keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
  }
}
@keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-moz-keyframes flip {
  100% {
    -moz-transform: rotateY(360deg);
  }
}
@-webkit-keyframes flip {
  100% {
    -webkit-transform: rotateY(360deg);
  }
}
@keyframes flip {
  100% {
    -webkit-transform: rotateY(360deg);
    transform: rotateY(360deg);
  }
}

@keyframes line {
  0% {
    top: 12px;
  }
  50% {
    top: 4px;
  }
  100% {
    top: 12px;
  }
}

@keyframes scale {
  50% {
    height: 34px;
    width: 34px;
  }
  100% {
    height: 79px;
    width: 79px;
  }
}

@keyframes growing {
  0% {
    height: 380px;
  }
  50% {
    height: 100px;
  }
  100% {
    height: 380px;
  }
}
@keyframes slideLeft {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(-40px);
  }
  100% {
    transform: translateX(0px);
  }
}
@keyframes slideRight {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(40px);
  }
  100% {
    transform: translateX(0px);
  }
}
